Segfault after 2.6.1 auto-update


#1

new autoupdate from 2.5 didn’t work for me, please have a look.

[Fri Sep 05 09:58:39.781067 2014] [:error] [pid 31854] [client 67.253.210.58:51972] PHP Fatal error:  Class 'Composer\\Autoload\\ClassLoader' not found in /var/www/localhost/htdocs/piwik/vendor/composer/autoload_real.php on line 23, referer: http://xxxxxxxxx/piwik/index.php?module=MultiSites&action=index&idSite=1&period=range&date=previous7

[Fri Sep 05 09:59:26.700397 2014] [core:notice] [pid 8019] AH00052: child pid 22188 exit signal Segmentation fault (11)
zend_mm_heap corrupted
zend_mm_heap corrupted
zend_mm_heap corrupted
zend_mm_heap corrupted
zend_mm_heap corrupted

restarted apache, database upgrade page loaded, clicked next, then another crash

zend_mm_heap corrupted
zend_mm_heap corrupted
[Fri Sep 05 10:25:04.500804 2014] [core:notice] [pid 7223] AH00052: child pid 7345 exit signal Segmentation fault (11)
[Fri Sep 05 10:25:09.556782 2014] [core:notice] [pid 7223] AH00052: child pid 7272 exit signal Segmentation fault (11)

note this is not crashing the webserver, only preventing piwik from working. here’s what i’m running:

Fedora release 20 (Heisenbug)

fedora-logos-httpd.noarch            21.0.1-1.fc20                     @fedora  
httpd.x86_64                         2.4.10-1.fc20                     @updates 
httpd-tools.x86_64                   2.4.10-1.fc20                     @updates 
libmicrohttpd.x86_64                 0.9.34-2.fc20                     installed

ice-php.x86_64                       3.5.1-2.fc20                      @fedora  
ice-php-devel.x86_64                 3.5.1-2.fc20                      @fedora  
php.x86_64                           5.5.16-1.fc20                     @updates 
php-cli.x86_64                       5.5.16-1.fc20                     @updates 
php-common.x86_64                    5.5.16-1.fc20                     @updates 
php-gd.x86_64                        5.5.16-1.fc20                     @updates 
php-mbstring.x86_64                  5.5.16-1.fc20                     @updates 
php-mysqlnd.x86_64                   5.5.16-1.fc20                     @updates 
php-opcache.x86_64                   5.5.16-1.fc20                     @updates 
php-pdo.x86_64                       5.5.16-1.fc20                     @updates 
php-pear.noarch                      1:1.9.5-2.fc20                    @updates 
php-pecl-apcu.x86_64                 4.0.4-1.fc20                      @updates 
php-pecl-geoip.x86_64                1.0.8-6.fc20                      @fedora  
php-pecl-jsonc.x86_64                1.3.6-1.fc20                      @updates 
php-process.x86_64                   5.5.16-1.fc20                     @updates 
php-snmp.x86_64                      5.5.16-1.fc20                     @updates 
php-xml.x86_64                       5.5.16-1.fc20                     @updates

thank you.


(Matthieu Aubry) #2

please upgrade to piwik 2.6.1 and confirm whether it works now?


#3

can’t really auto-update if i can’t even log in :slight_smile:

i’ll try doing it by hand later.